Plume URL

/search

Search your URLs

GET
/search

Query Parameters

customId?|

Get the URLs with a specific custom ID. Undefined = all URLs. Null = URLs with no custom ID. To make it null, add it in the URL without any value, like ?expired=true&customId

limit?integer

Limit the number of results

Range1 <= value <= 50
page?integer

The page

Range1 <= value <= 100
expired?boolean

Include expired URLs. False by default

Header Parameters

Authorization*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://url.sodiumlabs.xyz/api/search" \  -H "Authorization: string"
{
  "urls": [
    {
      "userId": "string",
      "createdAt": 0,
      "destination": "string",
      "shortenId": "string",
      "shorten": "string",
      "infoPage": "string",
      "customId": "string",
      "description": "string",
      "expiresAt": 0,
      "expired": true,
      "views": 0,
      "disabled": true
    }
  ]
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}